Bug 3383 - Item due reminder digests - cannot display title information
Summary: Item due reminder digests - cannot display title information
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-02 02:13 UTC by Chris Cormack
Modified: 2013-12-05 19:59 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Adds the ability to use branches.* fields in digest notices and have them be parsed correctly. Also adds a warning to the notices editor for digests. (4.05 KB, patch)
2012-02-02 18:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 3383 - Item due reminder digests - cannot display title information (5.33 KB, patch)
2012-04-04 14:29 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 3383 - Item due reminder digests - cannot display title information (5.58 KB, patch)
2012-06-17 14:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 3383 - Followup - Switch from GetMemberDetails to GetMember (991 bytes, patch)
2012-07-02 16:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 3383 - Followup - Switch from GetMemberDetails to GetMember (1.03 KB, patch)
2012-07-17 10:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:09:51 UTC


---- Reported by bchurch@ptfs.com 2009-07-02 14:13:59 ----

The item due reminder digests (DUEDGST) do not allow you to display title information using the <<biblio.title>> field. You can only display the number of titles that are which is not very helpful to the patron. This is not the case for the individual item due reminders (DUE).

The <<items.content>> field also does not work because it only applies to overdue notices.



---- Additional Comments From bchurch@ptfs.com 2009-08-28 13:59:00 ----

There are additional problems with these reminders. The "from" email address uses the email address in the "KohaAdminEmailAddress" preference. It needs to use the "branchemail" address.

As well, if you add the library branch fields (example: <<branches.branchname>>) to the notice, the patron sees the field names instead of the library branch data.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:09 UTC  ---

This bug was previously known as _bug_ 3383 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3383
This bug depended on bug(s) 3203.

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was bchurch@ptfs.com.
CC member jwagner@ptfs.com does not have an account here
CC member mary.moules@liblime.com does not have an account here

Comment 1 Ian Walls 2011-12-09 01:25:46 UTC
The issue of <<branch.*>> tokens not working in digests is due to an ambiguity of what branch to use, and the potential multiplicity of branches that comes with checkouts from multiple branches.

The only constant branchcode on a per-notice basis I could see would be the patron's branch.  Can anyone think of a case where a different branch's contact information should be parsed into a PREDUEDGST or DUEDGST notice?
Comment 2 Kyle M Hall 2012-02-02 18:36:28 UTC Comment hidden (obsolete)
Comment 3 Melia Meggs 2012-04-02 16:14:34 UTC
Other issues on this bug to be solved:
- cannot display the title/author info on the digest notices
- the "from" email address is wrong?
Comment 4 Kyle M Hall 2012-04-04 14:29:44 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2012-04-04 14:31:28 UTC
(In reply to comment #3)

I've done some research and testing and found that the from address is being used correctly in master. Also, title/author info can be displayed on digest notices via the <<items.content>> tag. The data cannot be customized, but it is there.

> Other issues on this bug to be solved:
> - cannot display the title/author info on the digest notices
> - the "from" email address is wrong?
Comment 6 Katrin Fischer 2012-06-17 14:20:13 UTC
Hi Kyle,
only a short note: <<items.content>> can be customized using the parameters of the advance_notices.pl cronjob. It would be nice, if the <item></item> syntax would be made available in the item due and due notices, as it is more flexible.
Comment 7 Katrin Fischer 2012-06-17 14:40:41 UTC
Created attachment 10332 [details] [review]
[SIGNED-OFF] Bug 3383 - Item due reminder digests - cannot display title information

Adds the ability to use branches.* fields in digest notices and
have them be parsed correctly. Also adds a warning to the notices
editor for digests.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
I like the idea to show a warning, but I would perhaps move
it under the message body label to be more obvious.

Patch works nicely, branch data of my user's home library
is displayed in the notice.
Comment 8 Katrin Fischer 2012-06-17 14:44:13 UTC
While testing that, I discovered that my branch specific DUEDGST notice was not being used for my notice. Instead the notice template for (All libraries) was used. Filing separate bug 8258 for this.
Comment 9 Ian Walls 2012-06-20 18:47:53 UTC
New subroutine is added to advance_notices.pl that makes use of GetMemberDetails to get the borrower's branchcode.  This is incredibly inefficient, and should be replaced with GetMember.  See bug 7058.
Comment 10 Kyle M Hall 2012-07-02 16:19:23 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2012-07-17 10:46:30 UTC
Created attachment 10888 [details] [review]
Bug 3383 - Followup - Switch from GetMemberDetails to GetMember

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 12 Paul Poulain 2012-08-03 14:06:33 UTC
QA comment:
 * passes koha-qa.pl
 * small & localised patch
 * add a relevant warning in notices

passed QA
Comment 13 Chris Cormack 2012-08-04 08:38:07 UTC
Pushed to the 3.8.x, will be in 3.8.4